#ifndef _DARCDC_H_
#define _DARCDC_H_

#include <stdio.h>		/* Global */
#include <malloc.h>
#include <math.h>

#include <kallisti/stdtypes.h>
#include <kallisti/libk.h>
#include <kallisti/fs.h>

#include <kallisti/abi/thread.h>
#include <kallisti/abi/ta.h>
#include <kallisti/abi/fs.h>
#include <kallisti/abi/maple.h>
#include <kallisti/abi/process.h>
#include <kallisti/abi/video.h>
#include <kallisti/abi/spu.h>

#include "strdup.h"

extern abi_fs_t *fs;
extern abi_thread_t *thd;
extern abi_ta_t *ta;
extern abi_maple_t *maple;
extern abi_process_t *proc;
extern abi_video_t *vid;
extern abi_spu_t *spu;


#endif /* _DARCDC_H_ */
